Browse Source

Package for Devuan experimental.

suites/experimental devuan/0.4.0-1_rc1
Mark Hindley 2 years ago
parent
commit
dd1c8bc267
  1. 7
      debian/README.Debian
  2. 4
      debian/TODO
  3. 6
      debian/changelog
  4. 53
      debian/control
  5. 46
      debian/copyright
  6. 5
      debian/gbp.conf
  7. 1
      debian/libseat-dev.docs
  8. 3
      debian/libseat-dev.install
  9. 1
      debian/libseat1.install
  10. 11
      debian/rules
  11. 1
      debian/seatd.docs
  12. 164
      debian/seatd.init
  13. 2
      debian/seatd.install
  14. 1
      debian/source/format

7
debian/README.Debian

@ -0,0 +1,7 @@
seatd for Devuan
================
This is a pre-release experimental package. I don't really know what it does or
how to use it.
-- Mark Hindley <mark@hindley.org.uk>, Sun, 29 Nov 2020 17:00:01 +0000

4
debian/TODO

@ -0,0 +1,4 @@
seatd packaging TODO
====================
* Don't run as root.

6
debian/changelog

@ -0,0 +1,6 @@
seatd (0.4.0-1~rc1) experimental; urgency=medium
* Initial packaging for Devuan
-- Mark Hindley <mark@hindley.org.uk> Sat, 28 Nov 2020 17:38:08 +0000

53
debian/control

@ -0,0 +1,53 @@
Source: seatd
Section: admin
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.5.1
Vcs-Git: https://git.devuan.org/devuan/seatd.git
Vcs-Browser: https://git.devuan.org/devuan/seatd
Homepage: https://git.sr.ht/~kennylevinsen/seatd
Origin: Devuan
Build-Depends: debhelper-compat (= 12),
meson,
libelogind-dev,
pkg-config,
scdoc (>= 1.9.7),
Package: seatd
Section: admin
Priority: optional
Architecture: any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
${misc:Depends},
lsb-base (>= 3.1),
Recommends: libseat1
Description: minimal user, seat and session management daemon
Lightweight standalone implementation.
Package: libseat1
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
${misc:Depends},
seatd | logind
Description: flexible user, seat and session management library
This library provides runtime access to user, seat and session management. The
backend server used is configurable at runtime. Currently implemented backends
are seatd, elogind or systemd-logind.
Package: libseat-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
${misc:Depends},
libseat1 (= ${binary:Version})
Description: flexible user, seat and session management library (development files)
seatd session managment developement files.

46
debian/copyright

@ -0,0 +1,46 @@
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: seatd
Source: https://git.sr.ht/~kennylevinsen/seatd
Files: *
Copyright: 2020 Kenny Levinsen
License: Expat
Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:
.
The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.
.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
Files: debian/*
Copyright: 2020 Mark Hindley <mark@hindley.org.uk>
License: LGPL-2.1+
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.
.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.
.
You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
.
On Debian systems, the full text of the GNU Lesser General Public
License version 2 can be found in the file
`/usr/share/common-licenses/LGPL-2.1'.

5
debian/gbp.conf

@ -0,0 +1,5 @@
[DEFAULT]
debian-branch=suites/experimental
upstream-tag=%(version)s
debian-tag = devuan/%(version)s
pristine-tar=False

1
debian/libseat-dev.docs

@ -0,0 +1 @@
examples

3
debian/libseat-dev.install

@ -0,0 +1,3 @@
usr/include/
usr/lib/*/pkgconfig/
usr/lib/*/libseat.so

1
debian/libseat1.install

@ -0,0 +1 @@
usr/lib/*/libseat.so.*

11
debian/rules

@ -0,0 +1,11 @@
#! /usr/bin/make -f
%:
dh $@ --buildsystem=meson
CONFFLAGS = \
-Dlogind=enabled \
-Dbuiltin=enabled \
override_dh_auto_configure:
dh_auto_configure -- $(CONFFLAGS)

1
debian/seatd.docs

@ -0,0 +1 @@
README.md

164
debian/seatd.init

@ -0,0 +1,164 @@
#!/bin/sh
### BEGIN INIT INFO
# Provides: seatd
# Required-Start: $local_fs $network $remote_fs $syslog
# Required-Stop: $local_fs $network $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Flexible user, seat and session daemon
# Description: <Enter a long description of the software>
### END INIT INFO
# Author: Mark Hindley <mark@hindley.org.uk>
# Do NOT "set -e"
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="seatd"
NAME=seatd
DAEMON=/usr/sbin/seatd
DAEMON_ARGS=""
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --background --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# The above code will not work for interpreted scripts, use the next
# six lines below instead (Ref: #643337, start-stop-daemon(8) )
#start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON \
# --name $NAME --test > /dev/null \
# || return 1
#start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON \
# --name $NAME -- $DAEMON_ARGS \
# || return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:

2
debian/seatd.install

@ -0,0 +1,2 @@
usr/bin/seatd /usr/sbin/
usr/share/man/man1/

1
debian/source/format

@ -0,0 +1 @@
3.0 (quilt)
Loading…
Cancel
Save